rgb2ycrcb: XRgb2YCrCb_Coef_Inputs Struct Reference

| rgb2ycrcb Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XRgb2YCrCb_Coef_Inputs Struct Reference
Rgb2ycrcb_v7_1

Rgb2YCrCb input coefficient. More...

## Data Fields
double | ACoef
| [ 0.0 - 1.0 ] 0.0 < ACOEFF + BCOEFF < 1.0 More...
double | BCoef
| [ 0.0 - 1.0 ] 0.0 < ACOEFF + BCOEFF < 1.0 More...
double | CCoef
| [ 0.0 - 0.9 ] More...
double | DCoef
| [ 0.0 - 0.9 ] More...
u32 | YOffset
| Offset for the Luminance Channel. More...
u32 | CbOffset
| Offset for the Chrominance Channels. More...
u32 | CrOffset
| Offset for the Chrominance Channels. More...
u32 | YMax
| Y Clipping. More...
u32 | YMin
| Y Clamping. More...
u32 | CbMax
| Cb Clipping. More...
u32 | CbMin
| Cb Clamping. More...
u32 | CrMax
| Cr Clipping. More...
u32 | CrMin
| Cr Clamping. More...

## Detailed Description

Rgb2YCrCb input coefficient.

## Field Documentation

double XRgb2YCrCb_Coef_Inputs::ACoef

[ 0.0 - 1.0 ] 0.0 < ACOEFF + BCOEFF < 1.0

Referenced by Rgb2YCrCb_Update_Example(), XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_Select_Standard().

double XRgb2YCrCb_Coef_Inputs::BCoef

[ 0.0 - 1.0 ] 0.0 < ACOEFF + BCOEFF < 1.0

Referenced by Rgb2YCrCb_Update_Example(), XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_Select_Standard().

u32 XRgb2YCrCb_Coef_Inputs::CbMax

Cb Clipping.

Referenced by XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_Select_Standard().

u32 XRgb2YCrCb_Coef_Inputs::CbMin

Cb Clamping.

Referenced by XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_Select_Standard().

u32 XRgb2YCrCb_Coef_Inputs::CbOffset

Offset for the Chrominance Channels.

Referenced by XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_Select_Standard().

double XRgb2YCrCb_Coef_Inputs::CCoef

[ 0.0 - 0.9 ]

Referenced by Rgb2YCrCb_Update_Example(), XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_Select_Standard().

u32 XRgb2YCrCb_Coef_Inputs::CrMax

Cr Clipping.

Referenced by XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_Select_Standard().

u32 XRgb2YCrCb_Coef_Inputs::CrMin

Cr Clamping.

Referenced by XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_Select_Standard().

u32 XRgb2YCrCb_Coef_Inputs::CrOffset

Offset for the Chrominance Channels.

Referenced by XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_Select_Standard().

double XRgb2YCrCb_Coef_Inputs::DCoef

[ 0.0 - 0.9 ]

Referenced by Rgb2YCrCb_Update_Example(), XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_Select_Standard().

u32 XRgb2YCrCb_Coef_Inputs::YMax

Y Clipping.

Referenced by XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_Select_Standard().

u32 XRgb2YCrCb_Coef_Inputs::YMin

Y Clamping.

Referenced by XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_Select_Standard().

u32 XRgb2YCrCb_Coef_Inputs::YOffset

Offset for the Luminance Channel.

Referenced by XRgb2YCrCb_Coefficient_Translation(), and XRgb2YCrCb_Select_Standard().